package com.liquidnet.service.feign.stone.api;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.stone.dto.StoneScoreListDto;
import feign.hystrix.FallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * <p>
 * 积分接口
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-11-02
 */
@Component
@FeignClient(
        name = "liquidnet-service-stone",
        contextId = "FeignStoneIntegralClient",
        path = "",
        url = "${liquidnet.service.stone.url}",
        fallback = FallbackFactory.Default.class
)
public interface FeignStoneIntegralClient {

    @GetMapping("user/info")
    ResponseDto<StoneScoreListDto> stoneUserInfo();

}
